Description

The current implementation of the socket transport only defines the following error hook on the connection:

connection.errorHook = lambda exception: self.removeConnection(connection)

This doesn't notify clients in any error case, nor does it print a warning message (without specifically configured logging) or crashes
the program.
This is the warning code:

self.__logger.warn('Receive error: %s', e)

At least:
    -  use a more serious warning level
    -  use a method signature that prints a complete exception stacktrace

Related issues:
Related to Robotics Service Bus - Tasks # 1036: Implement error handling subs... In Progress 06/25/2012

History
#1 - 04/17/2013 02:46 PM - J. Moringen
- Target version changed from rsb-0.9 to rsb-0.10

#2 - 12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#3 - 12/17/2014 03:11 PM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#4 - 04/30/2015 05:35 PM - J. Moringen
- Target version changed from rsb-0.12 to rsb-0.13

#5 - 03/02/2016 08:55 AM - J. Moringen
- Target version changed from rsb-0.13 to rsb-0.14

#6 - 06/08/2016 09:01 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#7 - 11/07/2016 10:32 AM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

03/13/2024 1/2



#8 - 04/10/2017 08:59 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17

#9 - 10/10/2017 06:21 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
